package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemMerchantCategoryQueryRequest struct {
	/*
	   请求     */
	QueryRequest *domain.AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryRequest `json:"query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkItemMerchantCategoryQueryRequest) SetQueryRequest(v domain.AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryRequest) *AlibabaWdkItemMerchantCategoryQueryRequest {
	s.QueryRequest = &v
	return s
}

func (req *AlibabaWdkItemMerchantCategoryQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.QueryRequest != nil {
		paramMap["query_request"] = util.ConvertStruct(*req.QueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkItemMerchantCategoryQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
